%define moodlewebdir %{_var}/www/moodle/web
%define moodledatadir %{_var}/www/moodle/data

# Suppress finding Perl libraries supplied by filter/algebra/*.p?
%define __perl_requires %{nil}
%define __perl_provides %{nil}

Name:           moodle
Version:        3.3.1
Release:       	1%{?dist}
Summary:        A Course Management System

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://moodle.org/
Source0:        http://download.moodle.org/stable31/%{name}-%{version}.tgz
Source1:        moodle.conf
Source2:        moodle-config.php
Source3:        moodle.cron
Source4:        moodle-cron
Source5:        moodle.service
Source6:        moodle-README-rpm
#Patch0:         moodle-CVE-2012-6087.patch
Patch1:		moodle-2.9-unbundle-tcpdf.patch
Patch2:		moodle-QuickForm.patch
# Elegantly handle removal of moxieplayer Flash binary in tinymce
# media plugin (see "Drop precompiled flash" in install)
#Patch3:		tinymce-3.5.8-no_moxieplayer.patch
BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  unzip
Requires:       php-gd dailyjobs mimetex perl(lib) php-mysqlnd php-xmlrpc
Requires:       perl(Encode) aspell perl(HTML::Parser) php
Requires:       perl(HTML::Entities) perl(CGI)
Requires:	php-Smarty
Requires:	php-adodb
#Requires:	php-magpierss
Requires:	gnu-free-sans-fonts
Requires:	php-pear-CAS
Requires:	php-markdown
Requires:       php-lessphp
Requires:       php-google-apiclient
Requires:       php-xmpphp
Requires:       php-password-compat
Requires:       php-simplepie
#Requires:       php-ZendFramework
#Reminder, php-markdown will be deprecated in favor of PSR-O 2014-02
Requires:	php-pear-Auth-RADIUS
Requires:	php-pear-Crypt-CHAP
#Requires:	php-pear-HTML-Common
#Requires:	php-pear-HTML-QuickForm
Requires:	php-pear-OLE
Requires:	php-tcpdf
Requires:	php-tcpdf-gnu-free-serif-fonts
Requires:	php-tcpdf-gnu-free-sans-fonts
Requires:	php-tcpdf-gnu-free-mono-fonts
Requires:	crontabs

BuildRequires:  systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Moodle is a course management system (CMS) - a free, Open Source software
package designed using sound pedagogical principles, to help educators create
effective online learning communities.

%prep
%setup -q -n %{name}
cp %{SOURCE6} README-rpm

#%patch0 -p0
%patch1 -p1
%patch2 -p0
#%patch3 -p1

find . -type f \! -name \*.pl -exec chmod a-x {} \;
find . -name \*.cgi -exec chmod a+x {} \;
chmod a+x admin/process_email.php
chmod a+x mod/chat/chatd.php
#rm search/.cvsignore
sed -i 's/\r//' lib/adodb/license.txt
sed -i 's/\r//' lib/adodb/readme.txt
#sed -i 's/\r//' lib/mp3player/readme.txt


%build
rm config-dist.php install.php filter/tex/mimetex.* filter/tex/README.mimetex

# Get rid of language files in subordinate packages for languages not supported
# by moodle itself.
rm lib/phpmailer/language/phpmailer.lang-fo.php

#Drop precompiled flash
find . -type f -name '*.swf' | xargs rm -f

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{moodlewebdir}
mkdir -p %{buildroot}%{moodledatadir}
cp -a * %{buildroot}%{moodlewebdir}
rm %{buildroot}%{moodlewebdir}/README*
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/moodle.conf
install -p -D -m 0644 %{SOURCE2} %{buildroot}%{moodlewebdir}/config.php
install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/moodle
install -p -D -m 0755 %{SOURCE4} %{buildroot}%{_sbindir}/moodle-cron
install -p -D -m 0644 %{SOURCE5} %{buildroot}%{_unitdir}/moodle.service
find %{buildroot} -name \*.mimetex-\* -exec rm {} \;
rm -f %{buildroot}${moodlewebdir}/pix/.cvsignore

#use system smarty
rm -rf %{buildroot}%{moodlewebdir}/lib/smarty
ln -s /usr/share/php/Smarty/ %{buildroot}%{moodlewebdir}/lib/smarty

#use system adodb
rm -rf %{buildroot}/var/www/moodle/web/lib/adodb
ln -s /usr/share/php/adodb/ %{buildroot}%{moodlewebdir}/lib/adodb

#Symlink to FreeSans, to save space.
rm -f %{buildroot}%{moodlewebdir}/lib/default.ttf
ln -s /usr/share/fonts/gnu-free/FreeSans.ttf %{buildroot}%{moodlewebdir}/lib/default.ttf

#use system php-lessphp
rm -rf %{buildroot}%{moodlewebdir}/lib/lessphp
ln -s /usr/share/php/lessphp/ %{buildroot}%{moodlewebdir}/lib/lessphp

#use system php-google-apiclient
rm -rf %{buildroot}%{moodlewebdir}/lib/google/src/Google
rm -f %{buildroot}%{moodlewebdir}/lib/google/autoload.php
ln -s /usr/share/php/Google/ %{buildroot}%{moodlewebdir}/lib/google/src/Google

#use system php-xmpphp
rm -rf %{buildroot}%{moodlewebdir}/lib/jabber/*
ln -s /usr/share/php/xmpphp/ %{buildroot}%{moodlewebdir}/lib/jabber/XMPP

#use syste php-password-compat
rm -rf %{buildroot}%{moodlewebdir}/lib/password_compat/lib
ln -s /usr/share/php/password_compat/ %{buildroot}%{moodlewebdir}/lib/password_compat/lib

#use system php-pear-CAS
rm -rf %{buildroot}%{moodlewebdir}/auth/cas/CAS
ln -s /usr/share/pear/ %{buildroot}%{moodlewebdir}/auth/cas/CAS

#use system markdown
rm -rf %{buildroot}%{moodlewebdir}/lib/markdown.php
ln -s /usr/share/php/markdown.php %{buildroot}%{moodlewebdir}/lib/markdown.php

#use system php-pear-Auth-RADIUS
rm -rf %{buildroot}/var/www/moodle/web/lib/pear/Auth/RADIUS.php
ln -s /usr/share/pear/Auth/RADIUS.php %{buildroot}/var/www/moodle/web/lib/pear/Auth/RADIUS.php

#use system php-pear-Crypt-CHAP
rm -rf %{buildroot}/var/www/moodle/web/lib/pear/Crypt/CHAP.php
ln -s /usr/share/pear/Crypt/CHAP.php %{buildroot}/var/www/moodle/web/lib/pear/Crypt/CHAP.php

##use system php-pear-HTML-Common
#rm -rf %{buildroot}/var/www/moodle/web/lib/pear/HTML/Common.php
#ln -s /usr/share/pear/HTML/Common.php %{buildroot}/var/www/moodle/web/lib/pear/HTML/Common.php

##use system php-pear-HTML-QuickForm, preserving two added files.
#mv %{buildroot}/var/www/moodle/web/lib/pear/HTML/QuickForm/DHTMLRulesTableless.php %{buildroot}/var/www/moodle/web/lib/pear/
#mv %{buildroot}/var/www/moodle/web/lib/pear/HTML/QuickForm/Renderer/Tableless.php %{buildroot}/var/www/moodle/web/lib/pear/
#rm -rf %{buildroot}/var/www/moodle/web/lib/pear/HTML/QuickForm*
#ln -s /usr/share/pear/HTML/QuickForm %{buildroot}/var/www/moodle/web/lib/pear/HTML/QuickForm
#ln -s /usr/share/pear/HTML/QuickForm.php %{buildroot}/var/www/moodle/web/lib/pear/HTML/QuickForm.php

#use system php-pear-OLE
rm -rf %{buildroot}/var/www/moodle/web/lib/pear/OLE
ln -s /usr/share/pear/OLE %{buildroot}/var/www/moodle/web/lib/pear/OLE

#use system php-simplepie
cp -p %{buildroot}%{moodlewebdir}/lib/simplepie/moodle_simplepie.php .
rm -rf %{buildroot}%{moodlewebdir}/lib/simplepie
mkdir -p %{buildroot}%{_datadir}/php/php-simplepie
ln -s /usr/share/php/php-simplepie/ %{buildroot}%{moodlewebdir}/simplepie
#cp -p moodle_simplepie.php %{buildroot}%{moodlewebdir}/simplepie/
cp -p moodle_simplepie.php %{buildroot}%{_datadir}/php/php-simplepie

#use system php-ZendFramework
#rm -rf %{buildroot}%{moodlewebdir}/lib/zend/*
#ln -s /usr/share/php/Zend/ %{buildroot}%{moodlewebdir}/lib/zend/Zend

#use system php-tcpdf
rm -rf %{buildroot}/var/www/moodle/web/lib/tcpdf

%post
%systemd_post moodle.service

if [ -d /var/www/moodle/web/lib/smarty -a ! -L /var/www/moodle/web/lib/smarty ]; then
  mv /var/www/moodle/web/lib/smarty /var/www/moodle/web/lib/smarty.rpmbak && \
  ln -s /usr/share/php/Smarty/ /var/www/moodle/web/lib/smarty
  rm -rf /var/www/moodle/web/lib/smarty.rpmbak
fi
if [ ! -L /var/www/moodle/web/lib/smarty ]; then
  ln -s /usr/share/php/Smarty/ /var/www/moodle/web/lib/smarty
fi

if [ -d /var/www/moodle/web/lib/adodb -a ! -L /var/www/moodle/web/lib/adodb ]; then
  mv /var/www/moodle/web/lib/adodb /var/www/moodle/web/lib/adodb.rpmbak && \
  ln -s /usr/share/php/adodb/ /var/www/moodle/web/lib/adodb
  rm -rf /var/www/moodle/web/lib/adodb.rpmbak
fi
if [ ! -L /var/www/moodle/web/lib/adodb ]; then
  ln -s /usr/share/php/adodb/ /var/www/moodle/web/lib/adodb
fi

if [ -d /var/www/moodle/web/auth/cas/CAS -a ! -L /var/www/moodle/web/auth/cas/CAS ]; then
  mv /var/www/moodle/web/auth/cas/CAS /var/www/moodle/web/auth/cas/CAS.rpmbak && \
  ln -s /usr/share/pear/ /var/www/moodle/web/auth/cas/CAS
  rm -rf /var/www/moodle/web/auth/cas/CAS.rpmbak
fi
if [ ! -L /var/www/moodle/web/auth/cas/CAS ]; then
  ln -s /usr/share/pear/ /var/www/moodle/web/auth/cas/CAS
fi

#if [ ! -L /var/www/moodle/web/lib/pear/HTML/QuickForm ]; then
#  ln -s /usr/share/pear/HTML/QuickForm /var/www/moodle/web/lib/pear/HTML/QuickForm
#fi

if [ ! -L /var/www/moodle/web/lib/pear/OLE ]; then
  ln -s /usr/share/pear/OLE /var/www/moodle/web/lib/pear/OLE
fi

%preun
%systemd_preun moodle.service

%postun
%systemd_postun_with_restart moodle.service

%pretrans -p <lua>
-- Remove symlinks that will become directories
dirs = {"/var/www/moodle/web/lib/magpie", "/var/www/moodle/web/lib/google", "/var/www/moodle/web/auth/cas"}
for i, path in ipairs(dirs) do
  st = posix.stat(path)
  if st and st.type == "link" then
    os.remove(path)
  end
end

-- Remove directories that will become symlinks
dirs = {"/var/www/moodle/web/auth/cas/CAS"}
for i, path in ipairs(dirs) do
  st = posix.stat(path)
  if st and st.type == "directory" then
    status = os.rename(path, path .. ".rpmmoved")
    if not status then
      suffix = 0
      while not status do
        suffix = suffix + 1
        status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
      end
      os.rename(path, path .. ".rpmmoved")
    end
  end
end

%files
%license COPYING.txt
%doc README* TRADEMARK.txt local/readme.txt
%dir %{_var}/www/moodle
%config(noreplace) %{moodlewebdir}/config.php
#%config(noreplace) %{moodlewebdir}/theme/formal_white/config.php
#%config(noreplace) %{moodlewebdir}/theme/standard/config.php
%{moodlewebdir}

%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-b*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-c*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-d*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-es.php
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-f*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-h*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-i*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-j*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-n*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-p*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-r*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-s*
%exclude %{moodlewebdir}/lib/phpmailer/language/phpmailer.lang-t*
%attr(-,apache,apache) %{moodledatadir}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/moodle.conf
#%{_initrddir}/%{name}
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}-cron
%ghost /var/www/moodle/web/lib/smarty
%ghost /var/www/moodle/web/lib/adodb
%ghost /var/www/moodle/auth/cas/CAS.rpmmoved
%exclude %{moodlewebdir}/COPYING.txt
%{_datadir}/php/php-simplepie/moodle_simplepie.php

%changelog
* Mon Jul 10 2017 Gwyn Ciesla <limburgher@gmail.com> - 3.3.1-1
- 3.3.1.

* Mon May 15 2017 Gwyn Ciesla <limburgher@gmail.com> - 3.3-1
- 3.3.

* Mon May 08 2017 Gwyn Ciesla <limburgher@gmail.com> - 3.2.3-1
- 3.2.3

* Mon Mar 13 2017 Jon Ciesla <limburgher@gmail.com> - 3.2.2-1
- 3.2.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 09 2017 Jon Ciesla <limburgher@gmail.com> - 3.2.1-1
- 3.2.1

* Thu Dec 08 2016 Jon Ciesla <limburgher@gmail.com> - 3.2-2
- Use bundleed php-pear-HTML* per remi.

* Mon Dec 05 2016 Jon Ciesla <limburgher@gmail.com> - 3.2-1
- 3.2

* Mon Nov 14 2016 Jon Ciesla <limburgher@gmail.com> - 3.1.3-1
- 3.1.3

* Thu Sep 15 2016 Jon Ciesla <limburgher@gmail.com> - 3.1.2-1
- 3.1.2

* Thu Aug 11 2016 Jonathan Dieter <jdieter@lesbg.com> - 3.1-1-2
- Unbundle CAS again
- Fix simplepie paths
- Fix Google API paths
- Fix CAS paths
- Follow guidelines re: switching from symlink to directory and vice versa

* Wed Jul 13 2016 Jon Ciesla <limburgher@gmail.com> - 3.1.1-1
- 3.1.1

* Tue Jun 28 2016 Jon Ciesla <limburgher@gmail.com> - 3.1-3
- php7 Requires fix.

* Fri Jun 24 2016 Jon Ciesla <limburgher@gmail.com> - 3.1-2
- Revert to bundled CAS.

* Mon May 23 2016 Jon Ciesla <limburgher@gmail.com> - 3.1-1
- 3.1

* Mon May 09 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.4-1
- 3.0.4

* Mon Mar 14 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.3-1
- 3.0.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.2-1
- 3.0.2

* Mon Dec 21 2015 Jon Ciesla <limburgher@gmail.com> - 3.0.1-1
- 3.0.1

* Tue Nov 17 2015 Jon Ciesla <limburgher@gmail.com> - 3.0-1
- 3.0

* Tue Nov 10 2015 Jon Ciesla <limburgher@gmail.com> - 2.9.3-1
- 2.9.3

* Thu Oct 01 2015 Jon Ciesla <limburgher@gmail.com> - 2.9.2-1
- 2.9.2

* Thu Sep 03 2015 Jon Ciesla <limburgher@gmail.com> - 2.9.1-1
- 2.9.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 20 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.9-1
- 2.9
- update RPM macroses
- provide systemd service instead of init

* Tue Mar 24 2015 Jon Ciesla <limburgher@gmail.com> - 2.8.5-1
- Latest upstream release.

* Thu Feb 05 2015 Jon Ciesla <limburgher@gmail.com> - 2.8.3-1
- Latest upstream release.

* Fri Nov 14 2014 Jon Ciesla <limburgher@gmail.com> - 2.8.1-1
- Latest upstream release.

* Fri Sep 12 2014 Jon Ciesla <limburgher@gmail.com> - 2.7.2-1
- 2.7.2, fix for security influences.

* Mon Jul 21 2014 Jon Ciesla <limburgher@gmail.com> - 2.7.1-1
- 2.7.1, Fix for CVE-2014-3541, CVE-2014-3542, CVE-2014-3543,
- CVE-2014-3544, CVE-2014-3545, CVE-2014-3546, CVE-2014-3547,
- CVE-2014-3548, CVE-2014-3549, CVE-2014-3550, CVE-2014-3551,
- CVE-2014-3552, CVE-2014-3553

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jon Ciesla <limburgher@gmail.com> - 2.7-1
- 2.7, Fix forCVE-2014-0213, CVE-2014-0214, CVE-2014-0215,
- CVE-2014-0216, CVE-2014-0217, CVE-2014-0218
- Dropped upstreamed tinymce patch.

* Wed Mar 19 2014 Jon Ciesla <limburgher@gmail.com> - 2.6.2-1
- Fix for CVE-2014-0122, CVE-2014-0123, CVE-2014-0124,
- CVE-2014-0125, CVE-2014-0126, CVE-2014-0127, CVE-2014-0129

* Wed Jan 22 2014 Jon Ciesla <limburgher@gmail.com> - 2.6.1-1
- Fix for CVE-2014-0008,9,10.

* Thu Dec 12 2013 Jon Ciesla <limburgher@gmail.com> - 2.6-1
- Latest upstream.

* Thu Nov 14 2013 Jon Ciesla <limburgher@gmail.com> - 2.5.3-1
- 2.5.3, BZ 1025655,6, 1030084,5.

* Wed Sep 11 2013 Jon Ciesla <limburgher@gmail.com> - 2.5.2-1
- 2.5.2, multiple securty fixes, BZ 1006678.
- CVE-2012-6087 patch upstreamed.

* Fri Aug 23 2013 Adam Williamson <awilliam@redhat.com> - 2.5.1-7
- patch tinymce to cope elegantly with Flash binary being removed

* Fri Aug 16 2013 Jon Ciesla <limburgher@gmail.com> - 2.5.1-6
- Drop precompiled flash.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Jon Ciesla <limburgher@gmail.com> - 2.5.1-4
- Add crontabs Requires, BZ 989079.

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.5.1-3
- Perl 5.18 rebuild

* Fri Jul 12 2013 Jon Ciesla <limburgher@gmail.com> - 2.5.1-2
- Include two non-upstream additions to HTML-Quickform.

* Fri Jul 12 2013 Jon Ciesla <limburgher@gmail.com> - 2.5.1-1
- 2.5.1

* Mon May 20 2013 Jon Ciesla <limburgher@gmail.com> - 2.5-3
- Correct require_once path for tcpdf.

* Mon May 20 2013 Jon Ciesla <limburgher@gmail.com> - 2.5-2
- Use system tcpdf, BZ 965160.

* Mon May 20 2013 Jon Ciesla <limburgher@gmail.com> - 2.5-1
- Latest upstream.

* Mon May 20 2013 Jon Ciesla <limburgher@gmail.com> - 2.4.4-1
- Latest upstream.

* Mon Mar 25 2013 Jon Ciesla <limburgher@gmail.com> - 2.4.3-1
- Latest upstream.
- Fixes for multiple CVEs.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Jon Ciesla <limburgher@gmail.com> - 2.4.1-1
- Patch for CVE-2012-6087.

* Tue Jan 15 2013 Jon Ciesla <limburgher@gmail.com> - 2.4.1-1
- Latest upstream.

* Fri Nov 23 2012 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.3-2
- The requirement on vixie-cron is not correct anymore. The dailyjobs will be
  used as virtual requirement since now. #879550

* Mon Nov 19 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.3-1
- Latest upstream, BZ 878132.

* Wed Oct 31 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-3
- Fix conf.

* Tue Oct 30 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-2
- Fix for httpd 2.4, BZ 871431.

* Mon Sep 17 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-1
- Latest upstream.

* Mon Jul 23 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.1-1
- Latest upstream, BZ 841954.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.3-1
- Security update, BZ 824481.

* Wed May 09 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.2-3
- Unbundled php-markdown.
- Unbundled php-pear-Auth-RADIUS.
- Unbundled php-pear-Crypt-CHAP.
- Unbundled php-pear-HTML-Common.
- Unbundled php-pear-HTML-QuickForm.
- Unbundled php-pear-OLE.

* Wed May 09 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.2-2
- Dropped bundled language packs, BZ 748958.

* Tue Mar 13 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.2-1
- Latest upstream.

* Tue Mar 13 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.1-2
- Fixed CAS unbundling per rcollet.

* Tue Jan 24 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.1-1
- New upstream, BZ 783534.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Jon Ciesla <limburgher@gmail.com> - 2.2-1
- New upstream.

* Thu Dec 08 2011 Jon Ciesla <limburgher@gmail.com> - 2.1.3-1
- New upstream, BZ 761249.

* Fri Oct 21 2011 Jon Ciesla <limb@jcomserv.net> - 2.1.2-1
- New upstream, BZ 747445.

* Tue Sep 27 2011 Jon Ciesla <limb@jcomserv.net> - 2.1.1-2
- Switched to cli cron script, BZ 733957.

* Tue Aug 16 2011 Jon Ciesla <limb@jcomserv.net> - 2.1.1-1
- New upstream.

* Mon May 09 2011 Jon Ciesla <limb@jcomserv.net> - 2.0.3-1
- New upstream.

* Wed Apr 27 2011 Jon Ciesla <limb@jcomserv.net> - 2.0.2-2
- Moving from Perl-Text-Aspell to aspell.

* Fri Apr 22 2011 Jon Ciesla <limb@jcomserv.net> - 2.0.2-1
- New upstream.
- Merged in, updated the language packs.
- Massive spec cleanup.

* Tue Feb 22 2011 Jon Ciesla <limb@jcomserv.net> - 1.9.11-1
- New upstream, security fixes.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.10-1
- New upstream, MSA-10-0017.
- htmlpurifier patch upstreamed.

* Mon Oct 04 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.9-3
- Correction of CAS symlink typo.

* Thu Aug 19 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.9-2
- Switch to system php-pear-CAS, BZ 577467, 620772.
- Patching htmlpurifier, BZ 624754.

* Tue Jun 22 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.9-1
- Update to 1.9.9, BZ 605810.

* Thu Mar 25 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.8-1
- Update to 1.9.8, BZ 575905.

* Tue Dec 08 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.7-1
- Update to 1.9.7, BZ 544766.

* Thu Nov 05 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.6-2
- Reverted erroneous cron fix.

* Thu Nov 05 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.6-1
- Update to 1.9.6.
- Make moodle-cron honor lock, BZ 533171.

* Wed Sep 23 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.5-3
- Using weekly snapshot downloaded 09/23/2009 for new PHP, BZ 525120
- Added Urdu installer.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 14 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.5-1
- Move symlink scripts from pretrans to post, pre.
- 1.9.5.

* Fri Apr 03 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.4-7
- Move symlink scripts from pre to pretrans.
- Corrented moodle-cron BZ 494090.

* Wed Apr 01 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.4-6
- Patch for CVE-2009-1171, BZ 493109.

* Tue Mar 24 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.4-5
- Update for freefont->gnu-free-fonts change.

* Thu Feb 26 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.4-4
- Fix for symlink dir replacement.

* Mon Feb 23 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.4-2
- Putting back bundled MagpieRSS due to incompatibility, BZ 486777.
- Corrected moodle-cron.

* Tue Feb 10 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.4-1
- Update to 1.9.4 to fix CVE-2009-0499,0500,0501,0502.

* Tue Jan 27 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.3-6
- Dropped and symlinked to khmeros-base-fonts.

* Tue Jan 20 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.3-5
- Dropped and symlinked illegal sm and to fonts.
- Symlinking to FreeSans.
- Drop spell-check-logic.cgi, CVE-2008-5153, per upstream, BZ 472117, 472119, 472120.

* Wed Dec 17 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.3-4
- Texed fix, BZ 476709.

* Fri Nov 07 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.3-3
- Moved to weekly downloaded 11/7/08 to fix Snoopy CVE-2008-4796.

* Fri Oct 31 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.3-2
- Fix for BZ 468929, overactive cron job.

* Wed Oct 22 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.3-1
- Updated to 1.9.3.
- Updated language packs to 22 Oct 2008 versions.

* Wed Aug 06 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.2-2
- Remove bundled adodb, use system php-adodb. BZ 457886.
- Remove bundled magpie, use system php-magpierss. BZ 457886.

* Wed Aug 06 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.2-1
- Updated to 1.9.2.
- Remove bundled Smarty, use system php-Smarty. BZ 457886.
- Updated language packs to 06 Aug 2008 versions.

* Mon Jun 23 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.1-2
- Add php Requires, BZ 452341.

* Thu May 22 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.1-1
- Update to 1.9.1.
- Updated language packs to 22 May 2008 versions.
- Added Welsh, Uzbek support.
- Added php-xmlrpc Requires.

* Sat Mar 29 2008 Jon Ciesla <limb@jcomserv.net> - 1.9-1
- Update to 1.9.
- Updated language packs to 01 April 2008 versions.

* Sat Jan 12 2008 Jon Ciesla <limb@jcomserv.net> - 1.8.4-1
- Upgrade to 1.8.4, fix CVE-2008-0123.
- Added Tamil (Sri Lanka) support.

* Mon Nov 12 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.3-2
- Corrected init script to prevent starting by default.

* Thu Oct 25 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.3-1
- Update to 1.8.3.
- Fix init script for LSB BZ 246986.
- Updated language packs to 25 October 2007 versions.
- Added Armenian, Macedonian.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.2-2
- License tag correction.

* Wed Jul 25 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.2-1
- Update to 1.8.2.
- Updated language packs to the 25 July 2007 versions.
- Added Mongolian, Gujerati, Lao, Tongan, Maori (Waikato Uni), Samoan, Tamil.

* Tue May 15 2007 Jerry James <Jerry.James@usu.edu> - 1.8-5
- Fix language packs to not obsolete themselves.
- Update language packs to the 15 May 2007 versions.

* Mon May  7 2007 Jerry James <Jerry.James@usu.edu> - 1.8-4
- Mark a bunch of config.php files as configuration files.
- Update language packs to the 07 May 2007 versions.

* Fri Apr 20 2007 Jerry James <Jerry.James@usu.edu> - 1.8-3
- perl-Text-Aspell is now available, so use it.  Don't make the spellchecker
  a separate package, however, since it is an htmlarea plugin, not a moodle
  plugin.  Somebody we will provide htmlarea as a separate package.
- Fix version numbers on obsoletes.
- Update language packs to the 20 Apr 2007 versions.

* Tue Apr 17 2007 Jerry James <Jerry.James@usu.edu> - 1.8-2
- Fix a CVS gaffe.
- Obsolete language packs with old names.
- Update language packs to the 17 Apr 2007 versions.

* Fri Apr 13 2007 Jerry James <Jerry.James@usu.edu> - 1.8-1
- Update to 1.8 (fixes BZ 232103)
- Own /var/www/moodle/web (BZ 233882)
- Drop unused mimetex patches
- Add executable bits to 3 scripts that should have them
- Remove the installation language files from the main package (twice)
- Package the moodle language files, not just the installation files
- Rename/add several language files to match the upstream list
- Minor typo fixes in the scripts

* Sun Jan 07 2007 Mike McGrath <imlinux@gmail.com> - 1.7-1
- Security fix for BZ# 220041

* Sat Oct 28 2006 Mike McGrath <imlinux@gmail.com> - 1.6.3-3
- Release bump

* Sun Oct 22 2006 Mike McGrath <imlinux@gmail.com> - 1.6.3-2
- Added requires php-mysql

* Fri Oct 13 2006 Mike McGrath <imlinux@gmail.com> - 1.6.3-1
- Major changes, update to 1.6.3
- SpellChecker moved
- Language install method has been changed (added a cp)

* Thu Sep 07 2006 Mike McGrath <imlinux@gmail.com> - 1.5.4-2
- Release bump

* Thu Aug 24 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.5.4-1
- Update to 1.5.4.
- Remove SA18267.patch; not needed in 1.5.4.
- Add -nn subpackage for new Norwegian Nynorsk language.
- Change description for -no subpackage to indicate Bokmal explicitly.
  Note that I have purposefully misspelled "Bokmal" in order to avoid
  introducing a non-ASCII character.

* Mon Jan  9 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.5.3-2
- Add security patch for adodb (SA18267)

* Sat Dec 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.5.3-1
- Update to 1.5.3
- Split off spell check package due to lack of Text::Aspell

* Wed Oct 12 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.5.2-1
- Initial RPM release
